import { FC } from "react";
import './style.scss';
export interface ThumbProps {
    border?: string;
    borderRadius?: string;
    background: string;
    height: string;
    width: string;
}
export interface TrackProps {
    border?: string;
    borderRadius?: string;
    background: string;
    height: string;
    marginTop?: string;
}
export interface WrapProps {
    height: string;
    width: string;
}
export interface SliderProps {
    min: number;
    max: number;
    step?: number;
    values: number[];
    onChange: (values: number[]) => any;
    styleWrap: WrapProps;
    styleThumb: ThumbProps;
    styleTrack: TrackProps;
    rangeBackground: string;
}
declare const Slider: FC<SliderProps>;
export default Slider;
